/**
 * Created by m.milutin on 15.08.16.
 */
AS.FORMS.bus.on(AS.FORMS.EVENT_TYPE.formShow, function (event, model, view) {
    var playerModel = model
    playerModel.on(AS.FORMS.EVENT_TYPE.dataLoad, function () {
        // если проигрыватель открылся в режиме чтения то ничего не делаем
        if (!view.editable) {
            return;
        }

        var user = playerModel.getModelWithId("author").getValue();
        if (user === null) {
            return;
        }
        var personID = user.personID;
        var IIN = "";  // some logic for getting IIN from server
        var utf8 = unescape(encodeURIComponent(personID));
        for (var i = 0; i < utf8.length; i++) {
            IIN += utf8.charCodeAt(i) + "";
        }
        playerModel.getModelWithId("iin").setValue(IIN);

        //Предзаполненный шаблон заявки на материал
        var text = 'Необходимых материалов для ремонта кабинетов ' +
            '<br/>1. ГКЛ ……………………………………………………………… м2. ' +
            '<br/>2. Фанера ……………………………………………………….… м2. ' +
            '<br/>3. Саморезы по дереву 35×3,5 ………………………………… шт. ' +
            '<br/>4. Дюбель саморезы 75×4 ……………………………………… шт. ' +
            '<br/>5. Подвесной потолок в комплекте …………………………… м2.'
        playerModel.getModelWithId("text").setValue(text);

        var regLingRecordIdentifier = "3d488280-5e22-11e6-8e70-fe5400e1ce06";

        playerModel.getModelWithId("registry").setValue(regLingRecordIdentifier);
        playerModel.getModelWithId("sum1").setValue("555999.99");
        playerModel.getModelWithId("sum2").setValue("666660.99");

        playerModel.getModelWithId("sum2").setValue("666660.99");

        playerModel.getModelWithId("date1").setValue("2016-08-15 00:00:00");
        playerModel.getModelWithId("date2").setValue("2016-08-16 00:00:00");

        playerModel.getModelWithId("note").setValue("Прошу закупить товар.");
    });

});
